"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const prompts_1 = __importDefault(require("prompts"));
const Logger_1 = __importDefault(require("../Logger"));
const OnCancel_1 = __importDefault(require("../lib/OnCancel"));
const android = __importStar(require("../lib/AndroidManifest"));
const ios = __importStar(require("../lib/InfoPlist"));
const OnPremise_1 = require("../lib/OnPremise");
function run(projectRoot, urls) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const { apiKey } = yield (0, prompts_1.default)({
                type: 'text',
                name: 'apiKey',
                message: 'What is your Bugsnag project API key?',
                validate: value => {
                    return /^[A-Fa-f0-9]{32}$/.test(value)
                        ? true
                        : 'API key is required. You can find it by going to https://app.bugsnag.com/settings/ > Projects > [your-project] > Notifier API key';
                }
            }, { onCancel: OnCancel_1.default });
            const options = { apiKey };
            if (urls[OnPremise_1.UrlType.NOTIFY]) {
                options.notifyEndpoint = urls[OnPremise_1.UrlType.NOTIFY];
            }
            if (urls[OnPremise_1.UrlType.SESSIONS]) {
                options.sessionsEndpoint = urls[OnPremise_1.UrlType.SESSIONS];
            }
            Logger_1.default.info('Updating AndroidManifest.xml');
            yield android.configure(projectRoot, options, Logger_1.default);
            Logger_1.default.info('Updating Info.plist');
            yield ios.configure(projectRoot, options, Logger_1.default);
            return true;
        }
        catch (e) {
            Logger_1.default.error(e);
            return false;
        }
    });
}
exports.default = run;
//# sourceMappingURL=ConfigureCommand.js.map