"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const prompts_1 = __importDefault(require("prompts"));
const OnPremise_1 = require("../lib/OnPremise");
const OnCancel_1 = __importDefault(require("../lib/OnCancel"));
function run(...requiredUrls) {
    return __awaiter(this, void 0, void 0, function* () {
        const { isUsingOnPremise } = yield (0, prompts_1.default)({
            type: 'confirm',
            name: 'isUsingOnPremise',
            message: 'Are you using Bugsnag on-premise?',
            initial: false
        }, { onCancel: OnCancel_1.default });
        if (!isUsingOnPremise) {
            return {};
        }
        // Remove prompts that aren't relevant to the currently running command
        const requiredPrompts = urlPrompts.filter(prompt => requiredUrls.includes(prompt.name));
        return (0, prompts_1.default)(requiredPrompts, { onCancel: OnCancel_1.default });
    });
}
exports.default = run;
const urlPrompts = [
    {
        type: 'text',
        name: OnPremise_1.UrlType.NOTIFY,
        message: 'What is your Bugsnag notify endpoint?',
        validate: value => value.length > 0
    },
    {
        type: 'text',
        name: OnPremise_1.UrlType.SESSIONS,
        message: 'What is your Bugsnag sessions endpoint?',
        validate: value => value.length > 0
    },
    {
        type: 'text',
        name: OnPremise_1.UrlType.UPLOAD,
        message: 'What is your Bugsnag upload endpoint?',
        validate: value => value.length > 0
    },
    {
        type: 'text',
        name: OnPremise_1.UrlType.BUILD,
        message: 'What is your Bugsnag build endpoint?',
        validate: value => value.length > 0
    }
];
//# sourceMappingURL=OnPremiseUrlsCommand.js.map