"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.detectState = exports.RepoState = void 0;
const child_process_1 = require("child_process");
var RepoState;
(function (RepoState) {
    RepoState[RepoState["UNKNOWN"] = 0] = "UNKNOWN";
    RepoState[RepoState["GIT_CLEAN"] = 1] = "GIT_CLEAN";
    RepoState[RepoState["GIT_DIRTY"] = 2] = "GIT_DIRTY";
    RepoState[RepoState["NONE"] = 3] = "NONE";
})(RepoState = exports.RepoState || (exports.RepoState = {}));
function detectState(projectRoot, logger) {
    const res = gitStatus(projectRoot);
    if (res.error) {
        if (res.error.code !== 'ENOENT') {
            logger.warn(res.error);
        }
        return RepoState.UNKNOWN;
    }
    if (res.stderr.match(/not a git repository/))
        return RepoState.NONE;
    if (res.stdout.length > 0)
        return RepoState.GIT_DIRTY;
    return RepoState.GIT_CLEAN;
}
exports.detectState = detectState;
function gitStatus(cwd) {
    return (0, child_process_1.spawnSync)('git', ['status', '--porcelain'], { cwd, encoding: 'utf8' });
}
//# sourceMappingURL=Repo.js.map